%global         pkgname django-celery
%global         obs_ver 3.0.4-1

Name:           python-django-celery
Version:        3.0.11
Release:        2%{?dist}
Summary:        Django Celery Integration
Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pkgname}
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools 
BuildRequires:  python2-devel
BuildRequires:  python-celery
BuildRequires:  python-billiard
BuildRequires:  python-django
BuildRequires:  python-django-nose
BuildRequires:  python-nose-cover3
BuildRequires:  python-kombu
BuildRequires:  python-mock

Requires:       python-django 
Requires:       python-celery

Provides:               %{pkgname} = %{version}-%{release}
Obsoletes:              %{pkgname} < %{obs_ver}


%description
django-celery provides Celery integration for Django; Using the Django ORM and 
cache backend for storing results, autodiscovery of task modules for 
applications listed in INSTALLED_APPS, and more.

Celery is a task queue/job queue based on distributed message passing. It is 
focused on real-time operation, but supports scheduling as well.

The execution units, called tasks, are executed concurrently on a single or more
worker servers. Tasks can execute asynchronously (in the background) or 
synchronously (wait until ready).

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf docs/.templates
rm -rf docs/.static*
%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%files 
%doc LICENSE FAQ README AUTHORS THANKS TODO Changelog docs/
%{_bindir}/djcelerymon
%{python_sitelib}/djcelery/
%{python_sitelib}/django_celery*.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 16 2012 Matthias Runge <mrunge@redhat.com> - 3.0.11-1
- update to version 3.0.11

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 3.0.4-3
- add python-mock as br

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 3.0.4-2
- enable checks

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 3.0.4-1
- renamed to python-django-celery
- updated to version 3.0.5

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.2.7-1
- new upstream release

* Sun Jul 17 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.2.4-2
- Match current guidelines.  Fix buildrequires

* Thu Apr 18 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 2.2.4-1
- initial spec
